Loading...
Searching...
No Matches
Opcodes

## Functions

PUBLIC void * | csoundGetNamedGens (CSOUND *)
| Finds the list of named gens.
PUBLIC int | csoundNewOpcodeList (CSOUND *, opcodeListEntry **opcodelist)
| Gets an alphabetically sorted list of all opcodes.
PUBLIC void | csoundDisposeOpcodeList (CSOUND *, opcodeListEntry *opcodelist)
| Releases an opcode list.
PUBLIC int | csoundAppendOpcode (CSOUND *, const char *opname, int dsblksiz, int flags, int thread, const char *outypes, const char *intypes, int(*iopadr)(CSOUND *, void *), int(*kopadr)(CSOUND *, void *), int(*aopadr)(CSOUND *, void *))
| Appends an opcode implemented by external software to Csound's internal opcode list.

## Detailed Description

## Function Documentation

## csoundAppendOpcode()

PUBLIC int csoundAppendOpcode | ( | CSOUND * | ,
|  | const char * | opname,
|  | int | dsblksiz,
|  | int | flags,
|  | int | thread,
|  | const char * | outypes,
|  | const char * | intypes,
|  | int(* | iopadr )(CSOUND *, void *),
|  | int(* | kopadr )(CSOUND *, void *),
|  | int(* | aopadr )(CSOUND *, void *) )

Appends an opcode implemented by external software to Csound's internal opcode list.

The opcode list is extended by one slot, and the parameters are copied into the new slot. Returns zero on success.

References PUBLIC.

## csoundDisposeOpcodeList()

PUBLIC void csoundDisposeOpcodeList | ( | CSOUND * | ,
|  | opcodeListEntry * | opcodelist )

Releases an opcode list.

References PUBLIC.

## csoundGetNamedGens()

PUBLIC void * csoundGetNamedGens | ( | CSOUND * |  | ) |

Finds the list of named gens.

References PUBLIC.

## csoundNewOpcodeList()

PUBLIC int csoundNewOpcodeList | ( | CSOUND * | ,
|  | opcodeListEntry ** | opcodelist )

Gets an alphabetically sorted list of all opcodes.

Should be called after externals are loaded by csoundCompile(). Returns the number of opcodes, or a negative error code on failure. Make sure to call csoundDisposeOpcodeList() when done with the list.

References PUBLIC.